-- Migration number: 0004 	 2024-01-09T06:08:22.916Z
WITH games (name, url, short) AS (VALUES ('Codenames (by Vlaada Chvátil)', 'https://codenamesgame.com/', 'code'),
																				 ('Codenames Duet (by Vlaada Chvátil)', 'https://codenamesgame.com/', 'duet'),
																				 ('Codenames Deep Undercover (by Vlaada Chvátil)',
																					'https://boardgamegeek.com/boardgame/205158/codenames-deep-undercover',
																					'under'),
																				 ('Codenames Sheets (by u/ceadmilefailte)',
																					'https://www.reddit.com/r/boardgames/comments/3yt9mq/codenames_board_generatorgoogle_sheets/',
																					'cead'),
																				 ('The Game Gal Word Lists',
																					'https://www.thegamegal.com/printables/#word-lists',
																					'gal')),
		 sourceType (id) AS (SELECT authorshipTypes.id FROM authorshipTypes WHERE authorshipTypes.name = 'source')
INSERT
OR
IGNORE
INTO authors (name, url, discordUsername, discordSnowflake, authorshipTypeId)
SELECT games.name, games.url, NULL, short, sourceType.id
FROM games
			 INNER JOIN sourceType;

WITH authorType (id) AS (SELECT authorshipTypes.id FROM authorshipTypes WHERE authorshipTypes.name = 'author')
INSERT
OR
IGNORE
INTO authors (name, url, discordUsername, discordSnowflake, authorshipTypeId)
SELECT 'the Scenario Generator team',
			 'https://git.reya.zone/reya/vore-scenario-generator#credits',
			 NULL,
			 'team',
			 authorType.id
FROM authorType;

CREATE TABLE authorMapping
(
	id         INTEGER PRIMARY KEY,
	tableId    INTEGER,
	text       TEXT,
	trueAuthor TEXT
) STRICT;

WITH codenamesWords(text, author) AS (VALUES ('Ace', 'duet'),
																						 ('Acid', 'under'),
																						 ('Acne', 'gal'),
																						 ('Acre', 'gal'),
																						 ('Africa', 'code'),
																						 ('Agent', 'code'),
																						 ('Air', 'code'),
																						 ('Aircraft', 'gal'),
																						 ('Airplane', 'gal'),
																						 ('Alarm Clock', 'gal'),
																						 ('Alaska', 'duet'),
																						 ('Alcohol', 'under'),
																						 ('Alien', 'code'),
																						 ('Alligator', 'gal'),
																						 ('Alps', 'code'),
																						 ('Amazon', 'code'),
																						 ('Ambulance', 'code'),
																						 ('America', 'code'),
																						 ('Anchor', 'duet'),
																						 ('Angel', 'code'),
																						 ('Animal', 'under'),
																						 ('Ankle', 'gal'),
																						 ('Ant', 'duet'),
																						 ('Antarctica', 'code'),
																						 ('Anthem', 'duet'),
																						 ('Apple', 'code'),
																						 ('Apples', 'under'),
																						 ('Apron', 'duet'),
																						 ('Archaeologist', 'gal'),
																						 ('Aristocrat', 'gal'),
																						 ('Arm', 'code'),
																						 ('Armor', 'duet'),
																						 ('Army', 'duet'),
																						 ('Ash', 'duet'),
																						 ('Ashes', 'under'),
																						 ('Asleep', 'gal'),
																						 ('Ass', 'under'),
																						 ('Astronaut', 'duet'),
																						 ('Athlete', 'gal'),
																						 ('Atlantis', 'code'),
																						 ('Attic', 'duet'),
																						 ('Aunt', 'gal'),
																						 ('Australia', 'code'),
																						 ('Avalanche', 'duet'),
																						 ('Axe', 'duet'),
																						 ('Aztec', 'code'),
																						 ('Baby', 'duet'),
																						 ('Baby-sitter', 'gal'),
																						 ('Back', 'code'),
																						 ('Backbone', 'gal'),
																						 ('Bacon', 'duet'),
																						 ('Bag', 'gal'),
																						 ('Baggage', 'gal'),
																						 ('Baked', 'under'),
																						 ('Ball', 'code'),
																						 ('Balloon', 'duet'),
																						 ('Ballpoint Pen', 'gal'),
																						 ('Balls', 'under'),
																						 ('Banana Peel', 'gal'),
																						 ('Banana', 'duet'),
																						 ('Band', 'code'),
																						 ('Bang', 'under'),
																						 ('Banister', 'gal'),
																						 ('Bank', 'code'),
																						 ('Bar', 'code'),
																						 ('Barbecue', 'duet'),
																						 ('Barber', 'gal'),
																						 ('Bargain', 'gal'),
																						 ('Bark', 'code'),
																						 ('Bartender', 'under'),
																						 ('Baseball', 'gal'),
																						 ('Baseboard', 'gal'),
																						 ('Basketball', 'gal'),
																						 ('Bass', 'duet'),
																						 ('Bat', 'code'),
																						 ('Bath', 'duet'),
																						 ('Bathroom Scale', 'gal'),
																						 ('Batteries', 'gal'),
																						 ('Battery', 'code'),
																						 ('Battle', 'duet'),
																						 ('Battleship', 'duet'),
																						 ('Bay', 'duet'),
																						 ('Beach', 'code'),
																						 ('Beam', 'duet'),
																						 ('Bean', 'duet'),
																						 ('Beans', 'under'),
																						 ('Bear', 'code'),
																						 ('Beard', 'duet'),
																						 ('Beat', 'code'),
																						 ('Beaver', 'under'),
																						 ('Bed', 'code'),
																						 ('Bedbug', 'gal'),
																						 ('Bedspread', 'gal'),
																						 ('Bedtime', 'gal'),
																						 ('Bee', 'duet'),
																						 ('Beef', 'under'),
																						 ('Beer', 'duet'),
																						 ('Behind', 'under'),
																						 ('Beijing', 'code'),
																						 ('Bell', 'code'),
																						 ('Belt', 'code'),
																						 ('Bench', 'duet'),
																						 ('Bender', 'under'),
																						 ('Berlin', 'code'),
																						 ('Bermuda', 'code'),
																						 ('Berry', 'code'),
																						 ('Bicycle', 'duet'),
																						 ('Big Bang', 'duet'),
																						 ('Big Ben', 'duet'),
																						 ('Big', 'gal'),
																						 ('Bike', 'gal'),
																						 ('Bikini', 'duet'),
																						 ('Bill', 'code'),
																						 ('Bird', 'gal'),
																						 ('Bird''s Nest', 'gal'),
																						 ('Birthday', 'gal'),
																						 ('Biscuit', 'duet'),
																						 ('Biscuits', 'under'),
																						 ('Bisexual', 'under'),
																						 ('Bitch', 'under'),
																						 ('Bite', 'gal'),
																						 ('Black', 'under'),
																						 ('Blacksmith', 'duet'),
																						 ('Blade', 'duet'),
																						 ('Blanket', 'gal'),
																						 ('Blind', 'duet'),
																						 ('Bling', 'under'),
																						 ('Blizzard', 'duet'),
																						 ('Block', 'code'),
																						 ('Blonde', 'under'),
																						 ('Blow', 'under'),
																						 ('Blue', 'gal'),
																						 ('Blues', 'duet'),
																						 ('Blush', 'under'),
																						 ('Board', 'code'),
																						 ('Boat', 'gal'),
																						 ('Bobsled', 'gal'),
																						 ('Body', 'under'),
																						 ('Boil', 'duet'),
																						 ('Bolt', 'code'),
																						 ('Bomb', 'code'),
																						 ('Bond', 'code'),
																						 ('Bondage', 'under'),
																						 ('Bone', 'under'),
																						 ('Bong', 'under'),
																						 ('Bonnet', 'gal'),
																						 ('Bonsai', 'duet'),
																						 ('Boob', 'under'),
																						 ('Book', 'duet'),
																						 ('Bookend', 'gal'),
																						 ('Boom', 'code'),
																						 ('Boot', 'code'),
																						 ('Booty', 'under'),
																						 ('Booze', 'under'),
																						 ('Boss', 'duet'),
																						 ('Bottle', 'code'),
																						 ('Bottom', 'under'),
																						 ('Bow', 'code'),
																						 ('Bowl', 'duet'),
																						 ('Bowler', 'duet'),
																						 ('Bowtie', 'gal'),
																						 ('Box', 'code'),
																						 ('Boxer', 'duet'),
																						 ('Boxers', 'under'),
																						 ('Boy', 'under'),
																						 ('Bra', 'under'),
																						 ('Bracelet', 'gal'),
																						 ('Brain', 'duet'),
																						 ('Branch', 'gal'),
																						 ('Brass', 'duet'),
																						 ('Brave', 'gal'),
																						 ('Brazil', 'duet'),
																						 ('Bread', 'duet'),
																						 ('Break', 'duet'),
																						 ('Breast', 'under'),
																						 ('Brick', 'duet'),
																						 ('Bride', 'duet'),
																						 ('Bridge', 'code'),
																						 ('Briefs', 'under'),
																						 ('Broccoli', 'gal'),
																						 ('Broken', 'gal'),
																						 ('Broom', 'gal'),
																						 ('Brother', 'duet'),
																						 ('Brown', 'under'),
																						 ('Brownie', 'under'),
																						 ('Brunette', 'gal'),
																						 ('Brush', 'code'),
																						 ('Bubble', 'duet'),
																						 ('Buck', 'code'),
																						 ('Bucket', 'duet'),
																						 ('Bud', 'gal'),
																						 ('Buffalo', 'code'),
																						 ('Bug', 'code'),
																						 ('Bugle', 'code'),
																						 ('Bulb', 'duet'),
																						 ('Bunk Bed', 'gal'),
																						 ('Bunk', 'duet'),
																						 ('Bunny', 'gal'),
																						 ('Burn', 'under'),
																						 ('Bus', 'gal'),
																						 ('Bush', 'under'),
																						 ('Bust', 'under'),
																						 ('Butt', 'under'),
																						 ('Butter', 'duet'),
																						 ('Butterfly', 'duet'),
																						 ('Button', 'code'),
																						 ('Buy', 'gal'),
																						 ('Cable', 'duet'),
																						 ('Caboose', 'under'),
																						 ('Caesar', 'duet'),
																						 ('Cafeteria', 'gal'),
																						 ('Cake', 'duet'),
																						 ('Calculator', 'gal'),
																						 ('Calf', 'code'),
																						 ('Camp', 'duet'),
																						 ('Campsite', 'gal'),
																						 ('Can', 'gal'),
																						 ('Canada', 'code'),
																						 ('Candle', 'under'),
																						 ('Candlestick', 'gal'),
																						 ('Candy', 'gal'),
																						 ('Cane', 'duet'),
																						 ('Cannons', 'under'),
																						 ('Cap', 'code'),
																						 ('Capital', 'code'),
																						 ('Captain', 'duet'),
																						 ('Car', 'code'),
																						 ('Card', 'code'),
																						 ('Caroler', 'gal'),
																						 ('Carpet', 'under'),
																						 ('Carrot', 'code'),
																						 ('Cartography', 'gal'),
																						 ('Casino', 'code'),
																						 ('Cast', 'code'),
																						 ('Castle', 'duet'),
																						 ('Cat', 'code'),
																						 ('Catalog', 'gal'),
																						 ('Catcher', 'under'),
																						 ('Cave', 'duet'),
																						 ('Ceiling Fan', 'gal'),
																						 ('Cell', 'code'),
																						 ('Cello', 'gal'),
																						 ('Centaur', 'code'),
																						 ('Center', 'code'),
																						 ('Century', 'gal'),
																						 ('Chain', 'duet'),
																						 ('Chains', 'under'),
																						 ('Chair', 'code'),
																						 ('Chalk', 'duet'),
																						 ('Champagne', 'under'),
																						 ('Champion', 'gal'),
																						 ('Change', 'code'),
																						 ('Chaps', 'under'),
																						 ('Charge', 'code'),
																						 ('Check', 'code'),
																						 ('Cheek', 'under'),
																						 ('Cheese', 'duet'),
																						 ('Cherry', 'duet'),
																						 ('Chest', 'code'),
																						 ('Chestnut', 'gal'),
																						 ('Chew', 'gal'),
																						 ('Chick', 'code'),
																						 ('Chicken', 'gal'),
																						 ('China', 'code'),
																						 ('Chip', 'duet'),
																						 ('Chocolate', 'code'),
																						 ('Choke', 'under'),
																						 ('Christmas', 'duet'),
																						 ('Chubby', 'under'),
																						 ('Church', 'code'),
																						 ('Cigar', 'under'),
																						 ('Cigarette', 'under'),
																						 ('Circle', 'code'),
																						 ('Circus', 'gal'),
																						 ('Clam', 'under'),
																						 ('Clap', 'under'),
																						 ('Claw', 'gal'),
																						 ('Cleopatra', 'duet'),
																						 ('Cliff', 'code'),
																						 ('Cloak', 'code'),
																						 ('Clock', 'duet'),
																						 ('Clog', 'gal'),
																						 ('Cloud', 'duet'),
																						 ('Clown', 'gal'),
																						 ('Club', 'code'),
																						 ('Clue', 'gal'),
																						 ('Coach', 'duet'),
																						 ('Coal', 'gal'),
																						 ('Coast', 'duet'),
																						 ('Coat', 'gal'),
																						 ('Cock', 'under'),
																						 ('Cocktail', 'under'),
																						 ('Code', 'code'),
																						 ('Coffee', 'duet'),
																						 ('Cold', 'code'),
																						 ('Collar', 'duet'),
																						 ('Columbus', 'duet'),
																						 ('Comb', 'duet'),
																						 ('Comet', 'duet'),
																						 ('Comfy', 'gal'),
																						 ('Comic', 'code'),
																						 ('Commando', 'under'),
																						 ('Commercial', 'gal'),
																						 ('Compound', 'code'),
																						 ('Computer', 'duet'),
																						 ('Concert', 'code'),
																						 ('Condom', 'under'),
																						 ('Conductor', 'code'),
																						 ('Cone', 'duet'),
																						 ('Contract', 'code'),
																						 ('Cook', 'code'),
																						 ('Cookie', 'gal'),
																						 ('Coozie', 'under'),
																						 ('Copper', 'code'),
																						 ('Corn', 'gal'),
																						 ('Cotton', 'code'),
																						 ('Couch', 'under'),
																						 ('Cougar', 'under'),
																						 ('Cough', 'gal'),
																						 ('Country', 'duet'),
																						 ('Couple', 'under'),
																						 ('Court', 'code'),
																						 ('Cover', 'code'),
																						 ('Cow', 'duet'),
																						 ('Cowboy', 'duet'),
																						 ('Cowgirl', 'under'),
																						 ('Coyote', 'under'),
																						 ('Crab', 'duet'),
																						 ('Crabs', 'under'),
																						 ('Crack', 'under'),
																						 ('Craft', 'duet'),
																						 ('Crane', 'code'),
																						 ('Crap', 'under'),
																						 ('Crash', 'code'),
																						 ('Crayon', 'gal'),
																						 ('Cream', 'under'),
																						 ('Cricket', 'code'),
																						 ('Crisp', 'gal'),
																						 ('Cross', 'code'),
																						 ('Crow', 'duet'),
																						 ('Crown', 'code'),
																						 ('Crumb', 'gal'),
																						 ('Crusader', 'duet'),
																						 ('Crystal', 'duet'),
																						 ('Cuckoo', 'duet'),
																						 ('Cucumber', 'under'),
																						 ('Cuddle', 'under'),
																						 ('Cuffs', 'under'),
																						 ('Cup', 'gal'),
																						 ('Cupcake', 'gal'),
																						 ('Curry', 'duet'),
																						 ('Cycle', 'code'),
																						 ('Czar', 'gal'),
																						 ('Czech', 'code'),
																						 ('Dad', 'gal'),
																						 ('Daddy', 'under'),
																						 ('Dame', 'under'),
																						 ('Dance', 'code'),
																						 ('Darkness', 'gal'),
																						 ('Dash', 'duet'),
																						 ('Dashboard', 'gal'),
																						 ('Date', 'code'),
																						 ('Day', 'code'),
																						 ('Death', 'code'),
																						 ('Deck', 'code'),
																						 ('Deep', 'gal'),
																						 ('Degree', 'code'),
																						 ('Delta', 'duet'),
																						 ('Dentist', 'duet'),
																						 ('Desk', 'duet'),
																						 ('Diagonal', 'gal'),
																						 ('Diamond', 'code'),
																						 ('Diarrhea', 'under'),
																						 ('Dice', 'code'),
																						 ('Dick', 'under'),
																						 ('Dictionary', 'gal'),
																						 ('Dildo', 'under'),
																						 ('Dinosaur', 'code'),
																						 ('Director', 'duet'),
																						 ('Dirty', 'gal'),
																						 ('Disease', 'code'),
																						 ('Disk', 'duet'),
																						 ('Ditch', 'gal'),
																						 ('Dizzy', 'gal'),
																						 ('Dock', 'gal'),
																						 ('Doctor', 'code'),
																						 ('Dog', 'code'),
																						 ('Doggy', 'under'),
																						 ('Doghouse', 'gal'),
																						 ('Doll', 'duet'),
																						 ('Dollar', 'duet'),
																						 ('Dominate', 'under'),
																						 ('Dominoes', 'gal'),
																						 ('Donkey', 'under'),
																						 ('Door', 'duet'),
																						 ('Dorsal', 'gal'),
																						 ('Double', 'gal'),
																						 ('Douche', 'under'),
																						 ('Down', 'under'),
																						 ('Download', 'gal'),
																						 ('Draft', 'code'),
																						 ('Drag', 'under'),
																						 ('Dragon', 'code'),
																						 ('Draw', 'gal'),
																						 ('Drawback', 'gal'),
																						 ('Drawing', 'duet'),
																						 ('Dream', 'duet'),
																						 ('Dress', 'code'),
																						 ('Dressing', 'duet'),
																						 ('Drill', 'code'),
																						 ('Dripping', 'gal'),
																						 ('Driver', 'duet'),
																						 ('Drone', 'duet'),
																						 ('Drop', 'code'),
																						 ('Drought', 'gal'),
																						 ('Drum', 'duet'),
																						 ('Drunk', 'under'),
																						 ('Dryer', 'duet'),
																						 ('Duck', 'code'),
																						 ('Dump Truck', 'gal'),
																						 ('Dust', 'duet'),
																						 ('Dwarf', 'code'),
																						 ('Eagle', 'code'),
																						 ('Ear', 'duet'),
																						 ('Earache', 'gal'),
																						 ('Earth', 'duet'),
																						 ('Earthquake', 'duet'),
																						 ('Easel', 'gal'),
																						 ('Easter', 'duet'),
																						 ('Eat', 'under'),
																						 ('Eden', 'duet'),
																						 ('Egg', 'duet'),
																						 ('Egypt', 'code'),
																						 ('Einstein', 'duet'),
																						 ('Elbow', 'gal'),
																						 ('Electricity', 'gal'),
																						 ('Elephant', 'duet'),
																						 ('Elevator', 'gal'),
																						 ('Elf', 'gal'),
																						 ('Embassy', 'code'),
																						 ('Emission', 'under'),
																						 ('Engine', 'code'),
																						 ('England', 'code'),
																						 ('Escort', 'under'),
																						 ('Eureka', 'gal'),
																						 ('Europe', 'code'),
																						 ('Exercise', 'gal'),
																						 ('Experiment', 'under'),
																						 ('Exponential', 'gal'),
																						 ('Eye', 'code'),
																						 ('Eyebrow', 'gal'),
																						 ('Eyes', 'under'),
																						 ('Fabric', 'gal'),
																						 ('Face', 'code'),
																						 ('Facial', 'under'),
																						 ('Fair', 'code'),
																						 ('Fall', 'code'),
																						 ('Fan', 'code'),
																						 ('Fantasy', 'under'),
																						 ('Farm', 'duet'),
																						 ('Fast', 'gal'),
																						 ('Fatty', 'under'),
																						 ('Feather', 'under'),
																						 ('Fecal', 'under'),
																						 ('Fence', 'code'),
																						 ('Fetch', 'gal'),
																						 ('Fetish', 'under'),
																						 ('Fever', 'duet'),
																						 ('Fiddle', 'duet'),
																						 ('Field', 'code'),
																						 ('Fighter', 'code'),
																						 ('Figment', 'gal'),
																						 ('Figure', 'code'),
																						 ('File', 'code'),
																						 ('Film', 'code'),
																						 ('Finger', 'under'),
																						 ('Fire Engine', 'gal'),
																						 ('Fire', 'code'),
																						 ('Firefighter', 'gal'),
																						 ('Fireside', 'gal'),
																						 ('Fish', 'code'),
																						 ('Fishing', 'gal'),
																						 ('Fist', 'under'),
																						 ('Fix', 'gal'),
																						 ('Flag', 'duet'),
																						 ('Flagpole', 'gal'),
																						 ('Flash', 'under'),
																						 ('Flashlight', 'gal'),
																						 ('Flat', 'duet'),
																						 ('Flesh', 'under'),
																						 ('Flock', 'gal'),
																						 ('Flood', 'duet'),
																						 ('Floor', 'duet'),
																						 ('Flower', 'under'),
																						 ('Fluff', 'under'),
																						 ('Flute', 'code'),
																						 ('Flutter', 'gal'),
																						 ('Fly', 'code'),
																						 ('Foam', 'duet'),
																						 ('Fog', 'duet'),
																						 ('Foil', 'gal'),
																						 ('Foot', 'code'),
																						 ('Football', 'gal'),
																						 ('Force', 'code'),
																						 ('Forehead', 'gal'),
																						 ('Foreskin', 'under'),
																						 ('Forest', 'code'),
																						 ('Fork', 'code'),
																						 ('France', 'code'),
																						 ('Freak', 'under'),
																						 ('Freckle', 'gal'),
																						 ('Freckles', 'under'),
																						 ('French', 'under'),
																						 ('Friction', 'under'),
																						 ('Frog', 'duet'),
																						 ('Front', 'gal'),
																						 ('Frost', 'duet'),
																						 ('Frown', 'gal'),
																						 ('Fuel', 'duet'),
																						 ('Funny', 'gal'),
																						 ('Furry', 'under'),
																						 ('G-spot', 'under'),
																						 ('Gag', 'under'),
																						 ('Gallop', 'gal'),
																						 ('Game', 'code'),
																						 ('Gang', 'under'),
																						 ('Gangbang', 'under'),
																						 ('Gangster', 'duet'),
																						 ('Garbage', 'gal'),
																						 ('Garden', 'duet'),
																						 ('Gas', 'code'),
																						 ('Gash', 'under'),
																						 ('Gay', 'under'),
																						 ('Gear', 'duet'),
																						 ('Genie', 'duet'),
																						 ('Genius', 'code'),
																						 ('Gerbil', 'under'),
																						 ('Germany', 'code'),
																						 ('Ghost', 'code'),
																						 ('Giant', 'code'),
																						 ('Gigolo', 'under'),
																						 ('Gingerbread Man', 'gal'),
																						 ('Giraffe', 'gal'),
																						 ('Girl', 'under'),
																						 ('Glacier', 'duet'),
																						 ('Glass', 'code'),
																						 ('Glasses', 'duet'),
																						 ('Glide', 'gal'),
																						 ('Glitter', 'gal'),
																						 ('Glove', 'code'),
																						 ('Glue Stick', 'gal'),
																						 ('Goat', 'duet'),
																						 ('Goblin', 'gal'),
																						 ('Gold', 'code'),
																						 ('Goldilocks', 'duet'),
																						 ('Golf', 'duet'),
																						 ('Goodbye', 'gal'),
																						 ('Goose', 'under'),
																						 ('Governor', 'duet'),
																						 ('Grace', 'code'),
																						 ('Grandfather', 'gal'),
																						 ('Grandma', 'under'),
																						 ('Grape', 'gal'),
																						 ('Grass', 'code'),
																						 ('Greece', 'code'),
																						 ('Green', 'code'),
																						 ('Greenhouse', 'duet'),
																						 ('Grill', 'gal'),
																						 ('Groom', 'duet'),
																						 ('Grope', 'under'),
																						 ('Ground', 'code'),
																						 ('Group', 'under'),
																						 ('Grown-up', 'gal'),
																						 ('Guitar', 'duet'),
																						 ('Gum', 'duet'),
																						 ('Gumball', 'gal'),
																						 ('Gymnast', 'duet'),
																						 ('Hail', 'gal'),
																						 ('Hair', 'duet'),
																						 ('Half', 'gal'),
																						 ('Halloween', 'duet'),
																						 ('Ham', 'code'),
																						 ('Hamburger', 'duet'),
																						 ('Hammer', 'duet'),
																						 ('Hamster', 'under'),
																						 ('Hand', 'code'),
																						 ('Happy', 'gal'),
																						 ('Hat', 'gal'),
																						 ('Hawaii', 'duet'),
																						 ('Hawk', 'code'),
																						 ('Head', 'code'),
																						 ('Headache', 'gal'),
																						 ('Headboard', 'under'),
																						 ('Headlights', 'under'),
																						 ('Heart', 'code'),
																						 ('Helicopter', 'code'),
																						 ('Hell', 'under'),
																						 ('Helmet', 'duet'),
																						 ('Herb', 'under'),
																						 ('Hercules', 'duet'),
																						 ('Hide', 'duet'),
																						 ('Hide-and-Seek', 'gal'),
																						 ('High', 'under'),
																						 ('Hill', 'gal'),
																						 ('Himalayas', 'code'),
																						 ('Hippo', 'gal'),
																						 ('Hit', 'duet'),
																						 ('Hockey', 'gal'),
																						 ('Hole', 'code'),
																						 ('Hollywood', 'code'),
																						 ('Home', 'gal'),
																						 ('Homer', 'duet'),
																						 ('Homerun', 'under'),
																						 ('Homework', 'gal'),
																						 ('Honey', 'code'),
																						 ('Hood', 'code'),
																						 ('Hook', 'code'),
																						 ('Hooker', 'under'),
																						 ('Hooters', 'under'),
																						 ('Hopscotch', 'gal'),
																						 ('Horn', 'code'),
																						 ('Horny', 'under'),
																						 ('Horse', 'code'),
																						 ('Horseshoe', 'code'),
																						 ('Hose', 'duet'),
																						 ('Hospital', 'code'),
																						 ('Hot Dog', 'gal'),
																						 ('Hot', 'under'),
																						 ('Hotel', 'code'),
																						 ('House', 'duet'),
																						 ('Huddle', 'gal'),
																						 ('Hug', 'gal'),
																						 ('Hump', 'under'),
																						 ('Hungry', 'gal'),
																						 ('Hurdle', 'gal'),
																						 ('Hurl', 'under'),
																						 ('Hurt', 'gal'),
																						 ('Husband', 'gal'),
																						 ('Hydrogen', 'gal'),
																						 ('Ice Age', 'duet'),
																						 ('Ice Cream Cone', 'gal'),
																						 ('Ice Cream', 'code'),
																						 ('Ice', 'code'),
																						 ('Iceland', 'duet'),
																						 ('Igloo', 'duet'),
																						 ('Implode', 'gal'),
																						 ('Important', 'gal'),
																						 ('Inch', 'under'),
																						 ('Inchworm', 'gal'),
																						 ('India', 'code'),
																						 ('Ink', 'duet'),
																						 ('Intern', 'under'),
																						 ('Internet', 'gal'),
																						 ('Ipad', 'gal'),
																						 ('Ipod', 'gal'),
																						 ('Iron', 'code'),
																						 ('Ironic', 'gal'),
																						 ('Ironing Board', 'gal'),
																						 ('Ivory', 'code'),
																						 ('Jack', 'code'),
																						 ('Jacket', 'gal'),
																						 ('Jail', 'duet'),
																						 ('Jam', 'code'),
																						 ('Jar', 'gal'),
																						 ('Jazz', 'under'),
																						 ('Jeans', 'gal'),
																						 ('Jelly', 'gal'),
																						 ('Jellyfish', 'duet'),
																						 ('Jerk', 'under'),
																						 ('Jet', 'code'),
																						 ('Jeweler', 'duet'),
																						 ('Jewels', 'under'),
																						 ('Joan of Arc', 'duet'),
																						 ('Job', 'under'),
																						 ('Jockey', 'duet'),
																						 ('John', 'under'),
																						 ('Johnson', 'under'),
																						 ('Joint', 'under'),
																						 ('Joker', 'duet'),
																						 ('Joystick', 'under'),
																						 ('Judge', 'duet'),
																						 ('Jugs', 'under'),
																						 ('Juice', 'under'),
																						 ('Jump', 'gal'),
																						 ('Jumper', 'duet'),
																						 ('Jungle', 'gal'),
																						 ('Jupiter', 'code'),
																						 ('Kangaroo', 'code'),
																						 ('Keg', 'under'),
																						 ('Ketchup', 'code'),
																						 ('Key', 'code'),
																						 ('Kick', 'duet'),
																						 ('Kid', 'code'),
																						 ('Kilogram', 'gal'),
																						 ('Kilt', 'duet'),
																						 ('King Arthur', 'duet'),
																						 ('King', 'code'),
																						 ('Kinky', 'under'),
																						 ('Kiss', 'duet'),
																						 ('Kitchen', 'duet'),
																						 ('Kite', 'gal'),
																						 ('Kitty', 'under'),
																						 ('Kiwi', 'code'),
																						 ('Knee', 'gal'),
																						 ('Knees', 'under'),
																						 ('Knife', 'code'),
																						 ('Knight', 'code'),
																						 ('Knob', 'under'),
																						 ('Knockers', 'under'),
																						 ('Knot', 'duet'),
																						 ('Kung Fu', 'duet'),
																						 ('Lab', 'code'),
																						 ('Lace', 'duet'),
																						 ('Ladder', 'duet'),
																						 ('Ladybug', 'gal'),
																						 ('Lamp', 'gal'),
																						 ('Landfill', 'gal'),
																						 ('Landscape', 'gal'),
																						 ('Lap', 'code'),
																						 ('Laser', 'code'),
																						 ('Latex', 'under'),
																						 ('Laugh', 'gal'),
																						 ('Laundry', 'duet'),
																						 ('Lawnmower', 'gal'),
																						 ('Lawyer', 'code'),
																						 ('Lead', 'code'),
																						 ('Leaf', 'duet'),
																						 ('Leather', 'duet'),
																						 ('Leg', 'gal'),
																						 ('Legend', 'under'),
																						 ('Legs', 'under'),
																						 ('Lemon', 'code'),
																						 ('Lemonade', 'duet'),
																						 ('Leprechaun', 'code'),
																						 ('Letter Opener', 'gal'),
																						 ('Letter', 'duet'),
																						 ('Lick', 'under'),
																						 ('Lie', 'gal'),
																						 ('Life', 'code'),
																						 ('Ligament', 'gal'),
																						 ('Light Bulb', 'gal'),
																						 ('Light', 'code'),
																						 ('Lighter', 'under'),
																						 ('Lightning', 'duet'),
																						 ('Lightsaber', 'gal'),
																						 ('Lime', 'gal'),
																						 ('Limousine', 'code'),
																						 ('Line', 'code'),
																						 ('Lingerie', 'under'),
																						 ('Link', 'code'),
																						 ('Lion', 'code'),
																						 ('Lip', 'duet'),
																						 ('Lips', 'under'),
																						 ('Liquor', 'under'),
																						 ('Litter', 'code'),
																						 ('Living Room', 'gal'),
																						 ('Lizard', 'under'),
																						 ('Lobster', 'under'),
																						 ('Loch Ness', 'code'),
																						 ('Lock', 'code'),
																						 ('Locust', 'duet'),
																						 ('Log', 'code'),
																						 ('Logo', 'gal'),
																						 ('Lollipop', 'gal'),
																						 ('London', 'code'),
																						 ('Long', 'gal'),
																						 ('Loose', 'under'),
																						 ('Lotion', 'under'),
																						 ('Love', 'duet'),
																						 ('Lube', 'under'),
																						 ('Luck', 'code'),
																						 ('Lumberjack', 'duet'),
																						 ('Lunch', 'duet'),
																						 ('Lunchbox', 'gal'),
																						 ('Lust', 'under'),
																						 ('Lyric', 'gal'),
																						 ('Macaroni', 'gal'),
																						 ('Magazine', 'duet'),
																						 ('Magic', 'gal'),
																						 ('Magician', 'duet'),
																						 ('Mail', 'code'),
																						 ('Mailbox', 'gal'),
																						 ('Mailman', 'gal'),
																						 ('Makeup', 'duet'),
																						 ('Mammoth', 'code'),
																						 ('Manboobs', 'under'),
																						 ('Manicure', 'duet'),
																						 ('Map', 'duet'),
																						 ('Maple', 'code'),
																						 ('Maracas', 'duet'),
																						 ('Marathon', 'duet'),
																						 ('Marble', 'code'),
																						 ('March', 'code'),
																						 ('Mark', 'duet'),
																						 ('Martini', 'under'),
																						 ('Mass', 'code'),
																						 ('Match', 'code'),
																						 ('Matchstick', 'gal'),
																						 ('Mattress', 'under'),
																						 ('Meat', 'under'),
																						 ('Medic', 'duet'),
																						 ('Melons', 'under'),
																						 ('Member', 'under'),
																						 ('Memory', 'duet'),
																						 ('Mercury', 'code'),
																						 ('Mesh', 'under'),
																						 ('Mess', 'duet'),
																						 ('Meter', 'duet'),
																						 ('Mexico', 'code'),
																						 ('Microscope', 'code'),
																						 ('Microwave', 'duet'),
																						 ('Migrate', 'gal'),
																						 ('Mile', 'duet'),
																						 ('Milk', 'duet'),
																						 ('Mill', 'duet'),
																						 ('Millionaire', 'code'),
																						 ('Mime', 'gal'),
																						 ('Mine', 'code'),
																						 ('Minotaur', 'duet'),
																						 ('Mint', 'code'),
																						 ('Minute', 'duet'),
																						 ('Mirror', 'duet'),
																						 ('Miss', 'duet'),
																						 ('Missile', 'code'),
																						 ('Missionary', 'under'),
																						 ('Mixer', 'under'),
																						 ('Model', 'code'),
																						 ('Mohawk', 'duet'),
																						 ('Moist', 'under'),
																						 ('Mole', 'code'),
																						 ('Mom', 'under'),
																						 ('Mona Lisa', 'duet'),
																						 ('Monday', 'gal'),
																						 ('Money', 'gal'),
																						 ('Monkey', 'duet'),
																						 ('Monster', 'gal'),
																						 ('Moon', 'code'),
																						 ('Mop', 'gal'),
																						 ('Moscow', 'code'),
																						 ('Moses', 'duet'),
																						 ('Mosquito', 'duet'),
																						 ('Motel', 'under'),
																						 ('Mother', 'duet'),
																						 ('Motorboat', 'under'),
																						 ('Motorcycle', 'gal'),
																						 ('Mount', 'code'),
																						 ('Mountain', 'gal'),
																						 ('Mountie', 'duet'),
																						 ('Mouse', 'code'),
																						 ('Mouth', 'code'),
																						 ('Movie', 'under'),
																						 ('Movies', 'gal'),
																						 ('Mud', 'duet'),
																						 ('Mug', 'code'),
																						 ('Mummy', 'duet'),
																						 ('Mushroom', 'under'),
																						 ('Music', 'gal'),
																						 ('Musketeer', 'duet'),
																						 ('Mustard', 'duet'),
																						 ('Mute', 'gal'),
																						 ('Myth', 'gal'),
																						 ('Nail', 'code'),
																						 ('Naked', 'under'),
																						 ('Napoleon', 'duet'),
																						 ('Nature', 'gal'),
																						 ('Navel', 'under'),
																						 ('Necklace', 'under'),
																						 ('Needle', 'code'),
																						 ('Neighbor', 'gal'),
																						 ('Neighborhood', 'gal'),
																						 ('Nerve', 'duet'),
																						 ('Net', 'code'),
																						 ('Neutron', 'gal'),
																						 ('New York', 'code'),
																						 ('New', 'gal'),
																						 ('Newsletter', 'gal'),
																						 ('Newton', 'duet'),
																						 ('Niece', 'gal'),
																						 ('Night', 'code'),
																						 ('Nightmare', 'gal'),
																						 ('Ninja', 'code'),
																						 ('Nipple', 'under'),
																						 ('Noah', 'duet'),
																						 ('Noodle', 'under'),
																						 ('Nose', 'duet'),
																						 ('Note', 'code'),
																						 ('Notre Dame', 'duet'),
																						 ('Novel', 'code'),
																						 ('Nude', 'under'),
																						 ('Nurse', 'code'),
																						 ('Nut', 'code'),
																						 ('Nuts', 'under'),
																						 ('Nylon', 'duet'),
																						 ('Oasis', 'duet'),
																						 ('Observatory', 'gal'),
																						 ('Ocean', 'gal'),
																						 ('Octopus', 'code'),
																						 ('Oil', 'code'),
																						 ('Old', 'gal'),
																						 ('Olive', 'code'),
																						 ('Olympus', 'code'),
																						 ('Onion', 'duet'),
																						 ('Opaque', 'gal'),
																						 ('Opera', 'code'),
																						 ('Orange', 'code'),
																						 ('Organ', 'code'),
																						 ('Orgasm', 'under'),
																						 ('Orgy', 'under'),
																						 ('Outer Space', 'gal'),
																						 ('Outside', 'gal'),
																						 ('Ovation', 'gal'),
																						 ('Overture', 'gal'),
																						 ('Oyster', 'under'),
																						 ('Pacific', 'duet'),
																						 ('Package', 'under'),
																						 ('Pad', 'duet'),
																						 ('Paddle', 'duet'),
																						 ('Page', 'duet'),
																						 ('Paint', 'duet'),
																						 ('Pajamas', 'gal'),
																						 ('Palace', 'gal'),
																						 ('Palm', 'code'),
																						 ('Pan', 'code'),
																						 ('Pants', 'code'),
																						 ('Paper', 'code'),
																						 ('Paperback', 'gal'),
																						 ('Parachute', 'code'),
																						 ('Parade', 'duet'),
																						 ('Park', 'code'),
																						 ('Parody', 'gal'),
																						 ('Parrot', 'duet'),
																						 ('Part', 'code'),
																						 ('Party', 'gal'),
																						 ('Pass', 'code'),
																						 ('Password', 'gal'),
																						 ('Paste', 'code'),
																						 ('Pastry', 'gal'),
																						 ('Patient', 'duet'),
																						 ('Pawn', 'gal'),
																						 ('Pea', 'duet'),
																						 ('Peach', 'duet'),
																						 ('Peaches', 'under'),
																						 ('Peanut', 'duet'),
																						 ('Pear', 'gal'),
																						 ('Pearl', 'duet'),
																						 ('Peasant', 'gal'),
																						 ('Pecker', 'under'),
																						 ('Pee', 'under'),
																						 ('Pen', 'duet'),
																						 ('Pencil', 'gal'),
																						 ('Penguin', 'code'),
																						 ('Penis', 'under'),
																						 ('Penny', 'duet'),
																						 ('Pentagon', 'duet'),
																						 ('Pepper', 'duet'),
																						 ('Period', 'under'),
																						 ('Person', 'gal'),
																						 ('Pew', 'duet'),
																						 ('Pharmacist', 'gal'),
																						 ('Philosopher', 'gal'),
																						 ('Phoenix', 'code'),
																						 ('Photograph', 'gal'),
																						 ('Piano', 'code'),
																						 ('Pickle', 'under'),
																						 ('Picnic', 'gal'),
																						 ('Pie', 'code'),
																						 ('Pig', 'duet'),
																						 ('Pigpen', 'gal'),
																						 ('Pillow', 'duet'),
																						 ('Pillows', 'under'),
																						 ('Pilot', 'code'),
																						 ('Pimp', 'under'),
																						 ('Pin', 'code'),
																						 ('Pinch', 'under'),
																						 ('Pine', 'duet'),
																						 ('Pink', 'under'),
																						 ('Pinwheel', 'gal'),
																						 ('Pipe', 'code'),
																						 ('Pirate', 'code'),
																						 ('Pistol', 'code'),
																						 ('Pit', 'code'),
																						 ('Pitch', 'code'),
																						 ('Pitcher', 'duet'),
																						 ('Pizza Sauce', 'gal'),
																						 ('Pizza', 'duet'),
																						 ('Plane', 'code'),
																						 ('Plastic', 'code'),
																						 ('Plate', 'code'),
																						 ('Platypus', 'code'),
																						 ('Play', 'code'),
																						 ('Player', 'under'),
																						 ('Playground', 'gal'),
																						 ('Plot', 'code'),
																						 ('Plumber', 'gal'),
																						 ('Pocket', 'duet'),
																						 ('Poem', 'gal'),
																						 ('Pogo Stick', 'gal'),
																						 ('Point', 'code'),
																						 ('Poison', 'code'),
																						 ('Poker', 'under'),
																						 ('Pole', 'code'),
																						 ('Police', 'code'),
																						 ('Polish', 'duet'),
																						 ('Polo', 'duet'),
																						 ('Pool', 'code'),
																						 ('Poop', 'under'),
																						 ('Pop', 'duet'),
																						 ('Popcorn', 'duet'),
																						 ('Popsicle', 'gal'),
																						 ('Porch', 'gal'),
																						 ('Pork', 'under'),
																						 ('Porn', 'under'),
																						 ('Port', 'code'),
																						 ('Positive', 'gal'),
																						 ('Post', 'code'),
																						 ('Pot', 'under'),
																						 ('Potato', 'duet'),
																						 ('Potter', 'duet'),
																						 ('Pound', 'code'),
																						 ('Powder', 'duet'),
																						 ('Press', 'code'),
																						 ('Prick', 'under'),
																						 ('Princess', 'code'),
																						 ('Prison', 'under'),
																						 ('Prize', 'gal'),
																						 ('Pro', 'gal'),
																						 ('Professor', 'gal'),
																						 ('Prostate', 'under'),
																						 ('Psychologist', 'gal'),
																						 ('Pub', 'under'),
																						 ('Pucker', 'under'),
																						 ('Pumpkin', 'code'),
																						 ('Pupil', 'code'),
																						 ('Puppet', 'duet'),
																						 ('Puppy', 'gal'),
																						 ('Purple', 'under'),
																						 ('Purse', 'duet'),
																						 ('Push', 'gal'),
																						 ('Pussy', 'under'),
																						 ('Puzzle Piece', 'gal'),
																						 ('Pyramid', 'code'),
																						 ('Quack', 'duet'),
																						 ('Quarantine', 'gal'),
																						 ('Quarter', 'duet'),
																						 ('Queef', 'under'),
																						 ('Queen', 'code'),
																						 ('Queer', 'under'),
																						 ('Quiet', 'gal'),
																						 ('Rabbit', 'code'),
																						 ('Race', 'gal'),
																						 ('Rack', 'under'),
																						 ('Racket', 'code'),
																						 ('Radio', 'duet'),
																						 ('Rail', 'duet'),
																						 ('Rainbow', 'duet'),
																						 ('Rainwater', 'gal'),
																						 ('Ram', 'duet'),
																						 ('Ranch', 'duet'),
																						 ('Random', 'gal'),
																						 ('Rat', 'duet'),
																						 ('Rattle', 'gal'),
																						 ('Rave', 'under'),
																						 ('Ray', 'code'),
																						 ('Razor', 'duet'),
																						 ('Record', 'duet'),
																						 ('Rectum', 'under'),
																						 ('Recycle', 'gal'),
																						 ('Red', 'under'),
																						 ('Regret', 'under'),
																						 ('Reindeer', 'duet'),
																						 ('Retail', 'gal'),
																						 ('Revolution', 'code'),
																						 ('Rib', 'gal'),
																						 ('Rice', 'duet'),
																						 ('Rifle', 'duet'),
																						 ('Ring', 'code'),
																						 ('Ringleader', 'gal'),
																						 ('Rip', 'duet'),
																						 ('River', 'duet'),
																						 ('Roach', 'under'),
																						 ('Road', 'duet'),
																						 ('Robe', 'gal'),
																						 ('Robin', 'code'),
																						 ('Robot', 'code'),
																						 ('Rock', 'code'),
																						 ('Rocket', 'gal'),
																						 ('Rodeo', 'duet'),
																						 ('Roll', 'duet'),
																						 ('Roller Blade', 'gal'),
																						 ('Roller Coaster', 'gal'),
																						 ('Rome', 'code'),
																						 ('Roof', 'under'),
																						 ('Rookie', 'under'),
																						 ('Root', 'code'),
																						 ('Rope', 'duet'),
																						 ('Rose', 'code'),
																						 ('Roulette', 'code'),
																						 ('Round', 'code'),
																						 ('Row', 'code'),
																						 ('Rubber', 'duet'),
																						 ('Rug', 'under'),
																						 ('Ruler', 'code'),
																						 ('Russia', 'duet'),
																						 ('Rust', 'duet'),
																						 ('Sack', 'duet'),
																						 ('Sad', 'gal'),
																						 ('Saddle', 'duet'),
																						 ('Safe', 'under'),
																						 ('Sahara', 'duet'),
																						 ('Sail', 'duet'),
																						 ('Salad', 'duet'),
																						 ('Saloon', 'duet'),
																						 ('Salsa', 'duet'),
																						 ('Salt and Pepper', 'gal'),
																						 ('Salt', 'duet'),
																						 ('Sand', 'duet'),
																						 ('Sandcastle', 'gal'),
																						 ('Sandwich', 'gal'),
																						 ('Santa', 'duet'),
																						 ('Satellite', 'code'),
																						 ('Saturn', 'code'),
																						 ('Sauna', 'under'),
																						 ('Sausage', 'under'),
																						 ('Saw', 'duet'),
																						 ('Scale', 'code'),
																						 ('Scarecrow', 'duet'),
																						 ('Scared', 'gal'),
																						 ('School Bus', 'gal'),
																						 ('School', 'code'),
																						 ('Scientist', 'code'),
																						 ('Score', 'under'),
																						 ('Scorpion', 'code'),
																						 ('Scratch', 'duet'),
																						 ('Scream', 'gal'),
																						 ('Screen', 'code'),
																						 ('Screw', 'under'),
																						 ('Scroll', 'duet'),
																						 ('Scuba Diver', 'code'),
																						 ('Seal', 'code'),
																						 ('Seashell', 'gal'),
																						 ('Second', 'duet'),
																						 ('Secretary', 'under'),
																						 ('Seed', 'under'),
																						 ('Seesaw', 'gal'),
																						 ('Semen', 'under'),
																						 ('Server', 'code'),
																						 ('Sex', 'under'),
																						 ('Shadow', 'code'),
																						 ('Shaft', 'under'),
																						 ('Shakespeare', 'code'),
																						 ('Shallow', 'gal'),
																						 ('Shame', 'under'),
																						 ('Shampoo', 'duet'),
																						 ('Share', 'under'),
																						 ('Shark', 'code'),
																						 ('Shave', 'under'),
																						 ('Shed', 'duet'),
																						 ('Sheep', 'under'),
																						 ('Sheet', 'duet'),
																						 ('Shelf', 'gal'),
																						 ('Shell', 'duet'),
																						 ('Sherlock', 'duet'),
																						 ('Sherwood', 'duet'),
																						 ('Ship', 'code'),
																						 ('Shipwreck', 'gal'),
																						 ('Shirt', 'gal'),
																						 ('Shoe', 'code'),
																						 ('Shoelace', 'gal'),
																						 ('Shoot', 'duet'),
																						 ('Shop', 'code'),
																						 ('Shopping Cart', 'gal'),
																						 ('Short', 'gal'),
																						 ('Shorts', 'duet'),
																						 ('Shot', 'code'),
																						 ('Shoulder', 'duet'),
																						 ('Shower', 'duet'),
																						 ('Shrew', 'gal'),
																						 ('Sick', 'gal'),
																						 ('Sign', 'duet'),
																						 ('Silk', 'duet'),
																						 ('Sin', 'under'),
																						 ('Singer', 'gal'),
																						 ('Sink', 'code'),
																						 ('Sister', 'duet'),
																						 ('Skank', 'under'),
																						 ('Skate', 'gal'),
																						 ('Skateboard', 'gal'),
																						 ('Skates', 'duet'),
																						 ('Ski Goggles', 'gal'),
																						 ('Ski', 'duet'),
																						 ('Skid', 'under'),
																						 ('Skirt', 'under'),
																						 ('Skull', 'duet'),
																						 ('Skyscraper', 'code'),
																						 ('Slam Dunk', 'gal'),
																						 ('Sled', 'duet'),
																						 ('Sleep', 'duet'),
																						 ('Slide', 'gal'),
																						 ('Sling', 'duet'),
																						 ('Slip', 'code'),
																						 ('Slipper', 'duet'),
																						 ('Sloth', 'duet'),
																						 ('Slow', 'gal'),
																						 ('Slug', 'code'),
																						 ('Slump', 'gal'),
																						 ('Slut', 'under'),
																						 ('Smegma', 'under'),
																						 ('Smell', 'duet'),
																						 ('Smile', 'gal'),
																						 ('Smog', 'gal'),
																						 ('Smoke', 'duet'),
																						 ('Smoothie', 'duet'),
																						 ('Smuggler', 'code'),
																						 ('Snag', 'gal'),
																						 ('Snail', 'gal'),
																						 ('Snake', 'duet'),
																						 ('Snap', 'duet'),
																						 ('Snatch', 'under'),
																						 ('Sneeze', 'gal'),
																						 ('Sniff', 'under'),
																						 ('Snort', 'under'),
																						 ('Snow', 'code'),
																						 ('Snowflake', 'gal'),
																						 ('Snowman', 'code'),
																						 ('Snuggle', 'gal'),
																						 ('Soap', 'duet'),
																						 ('Sock', 'code'),
																						 ('Socks', 'gal'),
																						 ('Softballs', 'under'),
																						 ('Soldier', 'code'),
																						 ('Solo', 'under'),
																						 ('Song', 'gal'),
																						 ('Sore', 'under'),
																						 ('Soul', 'code'),
																						 ('Sound', 'code'),
																						 ('Soup', 'duet'),
																						 ('Space', 'code'),
																						 ('Spank', 'under'),
																						 ('Spare', 'gal'),
																						 ('Speed', 'under'),
																						 ('Spell', 'code'),
																						 ('Sperm', 'under'),
																						 ('Sphinx', 'duet'),
																						 ('Spice', 'gal'),
																						 ('Spider Web', 'gal'),
																						 ('Spider', 'code'),
																						 ('Spike', 'code'),
																						 ('Spine', 'code'),
																						 ('Spirit', 'duet'),
																						 ('Spoon', 'duet'),
																						 ('Spot', 'code'),
																						 ('Spray', 'duet'),
																						 ('Spread', 'under'),
																						 ('Spring', 'code'),
																						 ('Sprinkler', 'gal'),
																						 ('Spurs', 'duet'),
																						 ('Spy', 'code'),
																						 ('Square', 'code'),
																						 ('Squash', 'duet'),
																						 ('Squirrel', 'duet'),
																						 ('Squirt', 'under'),
																						 ('St.patrick', 'duet'),
																						 ('Stable', 'duet'),
																						 ('Stadium', 'code'),
																						 ('Staff', 'code'),
																						 ('Stairs', 'gal'),
																						 ('Stalker', 'under'),
																						 ('Stamp', 'duet'),
																						 ('Standing', 'gal'),
																						 ('Star', 'code'),
																						 ('State', 'code'),
																						 ('Steam', 'duet'),
																						 ('Steamy', 'under'),
																						 ('Steel', 'duet'),
																						 ('Step', 'duet'),
																						 ('Stethoscope', 'duet'),
																						 ('Stick', 'code'),
																						 ('Sticker', 'duet'),
																						 ('Stiff', 'under'),
																						 ('Stiletto', 'under'),
																						 ('Stock', 'code'),
																						 ('Stockholder', 'gal'),
																						 ('Stones', 'under'),
																						 ('Stool', 'under'),
																						 ('Stoplight', 'gal'),
																						 ('Storm', 'duet'),
																						 ('Story', 'duet'),
																						 ('Stove', 'gal'),
																						 ('Stowaway', 'gal'),
																						 ('Straight', 'under'),
																						 ('Strap', 'under'),
																						 ('Straw', 'code'),
																						 ('Stream', 'code'),
																						 ('Street', 'duet'),
																						 ('Strike', 'code'),
																						 ('String', 'code'),
																						 ('Strip', 'under'),
																						 ('Stripe', 'gal'),
																						 ('Stripper', 'under'),
																						 ('Strobe', 'under'),
																						 ('Stud', 'under'),
																						 ('Student', 'gal'),
																						 ('Sub', 'code'),
																						 ('Sugar', 'duet'),
																						 ('Suit', 'code'),
																						 ('Sumo', 'duet'),
																						 ('Sun', 'duet'),
																						 ('Sunburn', 'gal'),
																						 ('Superhero', 'code'),
																						 ('Swallow', 'under'),
																						 ('Swamp', 'duet'),
																						 ('Sweat', 'duet'),
																						 ('Swimmers', 'under'),
																						 ('Swimming Pool', 'gal'),
																						 ('Swing', 'code'),
																						 ('Switch', 'code'),
																						 ('Sword', 'duet'),
																						 ('Table', 'code'),
																						 ('Tablet', 'code'),
																						 ('Taboo', 'under'),
																						 ('Taco', 'under'),
																						 ('Tag', 'code'),
																						 ('Tail', 'code'),
																						 ('Talk', 'gal'),
																						 ('Tank', 'duet'),
																						 ('Tap', 'code'),
																						 ('Taste', 'duet'),
																						 ('Tattoo', 'duet'),
																						 ('Tavern', 'under'),
																						 ('Taxi Cab', 'gal'),
																						 ('Tea', 'duet'),
																						 ('Teabag', 'under'),
																						 ('Teacher', 'code'),
																						 ('Team', 'duet'),
																						 ('Teapot', 'gal'),
																						 ('Tear', 'duet'),
																						 ('Tease', 'under'),
																						 ('Telephone', 'gal'),
																						 ('Telescope', 'code'),
																						 ('Temple', 'code'),
																						 ('Tennis Shoes', 'gal'),
																						 ('Tent', 'under'),
																						 ('Tequila', 'under'),
																						 ('Texas', 'duet'),
																						 ('Theater', 'code'),
																						 ('Thief', 'code'),
																						 ('Threesome', 'under'),
																						 ('Throat', 'under'),
																						 ('Throne', 'gal'),
																						 ('Thumb', 'code'),
																						 ('Thunder', 'duet'),
																						 ('Tick', 'code'),
																						 ('Tickle', 'under'),
																						 ('Tie', 'code'),
																						 ('Tiger', 'duet'),
																						 ('Time', 'code'),
																						 ('Tin', 'duet'),
																						 ('Tint', 'gal'),
																						 ('Tip', 'duet'),
																						 ('Tipi', 'duet'),
																						 ('Tiptoe', 'gal'),
																						 ('Tired', 'gal'),
																						 ('Tit', 'under'),
																						 ('Toast', 'duet'),
																						 ('Toilet Paper', 'gal'),
																						 ('Tokyo', 'code'),
																						 ('Tongue', 'under'),
																						 ('Tool', 'under'),
																						 ('Tooth', 'code'),
																						 ('Toothbrush', 'gal'),
																						 ('Top', 'under'),
																						 ('Torch', 'code'),
																						 ('Tornado', 'duet'),
																						 ('Torture', 'under'),
																						 ('Touch', 'under'),
																						 ('Touchdown', 'under'),
																						 ('Tournament', 'gal'),
																						 ('Tower', 'code'),
																						 ('Toy', 'under'),
																						 ('Track', 'code'),
																						 ('Tractor', 'gal'),
																						 ('Train', 'code'),
																						 ('Tramp', 'under'),
																						 ('Trash', 'gal'),
																						 ('Treasure', 'gal'),
																						 ('Treehouse', 'gal'),
																						 ('Tree', 'gal'),
																						 ('Triangle', 'code'),
																						 ('Trick', 'duet'),
																						 ('Trim', 'under'),
																						 ('Trip', 'code'),
																						 ('Troll', 'duet'),
																						 ('Trousers', 'under'),
																						 ('Truck', 'gal'),
																						 ('Trunk', 'code'),
																						 ('Tuba', 'gal'),
																						 ('Tube', 'code'),
																						 ('Tubesteak', 'under'),
																						 ('Tuna', 'under'),
																						 ('Tunnel', 'duet'),
																						 ('Turd', 'under'),
																						 ('Turkey', 'code'),
																						 ('Turtle', 'duet'),
																						 ('Tutor', 'gal'),
																						 ('Tutu', 'duet'),
																						 ('Tuxedo', 'duet'),
																						 ('Tv', 'gal'),
																						 ('Twig', 'under'),
																						 ('Type', 'gal'),
																						 ('Udders', 'under'),
																						 ('Undertaker', 'code'),
																						 ('Unicorn', 'code'),
																						 ('University', 'duet'),
																						 ('Upgrade', 'gal'),
																						 ('Uranus', 'under'),
																						 ('Vacuum', 'code'),
																						 ('Valentine', 'duet'),
																						 ('Vampire', 'duet'),
																						 ('Van', 'code'),
																						 ('Vasectomy', 'under'),
																						 ('Vegas', 'under'),
																						 ('Vegetarian', 'gal'),
																						 ('Vein', 'under'),
																						 ('Venus', 'duet'),
																						 ('Vet', 'code'),
																						 ('Vibrator', 'under'),
																						 ('Video', 'under'),
																						 ('Viking', 'duet'),
																						 ('Vinyl', 'under'),
																						 ('Violet', 'duet'),
																						 ('Virgin', 'under'),
																						 ('Virus', 'duet'),
																						 ('Vision', 'gal'),
																						 ('Vitamin', 'gal'),
																						 ('Vodka', 'under'),
																						 ('Volcano', 'duet'),
																						 ('Volume', 'duet'),
																						 ('Vomit', 'under'),
																						 ('Wad', 'under'),
																						 ('Wagon', 'duet'),
																						 ('Waitress', 'duet'),
																						 ('Wake', 'code'),
																						 ('Wall', 'code'),
																						 ('Wallet', 'gal'),
																						 ('Walrus', 'duet'),
																						 ('Wang', 'under'),
																						 ('War', 'code'),
																						 ('Washer', 'code'),
																						 ('Washington', 'code'),
																						 ('Waste', 'under'),
																						 ('Watch', 'code'),
																						 ('Water', 'code'),
																						 ('Watermelon', 'gal'),
																						 ('Wave', 'code'),
																						 ('Wax', 'under'),
																						 ('Web', 'code'),
																						 ('Wedding Ring', 'gal'),
																						 ('Wedding', 'duet'),
																						 ('Weed', 'under'),
																						 ('Well', 'code'),
																						 ('Wench', 'under'),
																						 ('Werewolf', 'duet'),
																						 ('Wet', 'under'),
																						 ('Whale', 'code'),
																						 ('Wheel', 'duet'),
																						 ('Wheelchair', 'duet'),
																						 ('Whip', 'code'),
																						 ('Whisk', 'gal'),
																						 ('Whiskey', 'under'),
																						 ('Whistle', 'duet'),
																						 ('White', 'under'),
																						 ('Wiener', 'under'),
																						 ('Wind', 'code'),
																						 ('Windmill', 'gal'),
																						 ('Window', 'duet'),
																						 ('Wine', 'under'),
																						 ('Wing', 'duet'),
																						 ('Winter', 'gal'),
																						 ('Wish', 'duet'),
																						 ('Witch', 'code'),
																						 ('Wizard', 'duet'),
																						 ('Wobble', 'gal'),
																						 ('Wolf', 'gal'),
																						 ('Wonderland', 'duet'),
																						 ('Wood', 'duet'),
																						 ('Wool', 'duet'),
																						 ('Worm', 'code'),
																						 ('Wristwatch', 'gal'),
																						 ('Yard', 'code'),
																						 ('Yellowstone', 'duet'),
																						 ('Yo-yo', 'gal'),
																						 ('Yolk', 'gal'),
																						 ('Zero', 'gal'),
																						 ('Zombie', 'duet'),
																						 ('Zoo', 'gal'))
INSERT
INTO authorMapping(tableId, text, trueAuthor)
SELECT 6, text, author
FROM codenamesWords;

WITH words(tableId, text) AS (VALUES (0, 'in someone''s home'),
																		 (0, 'out on the street'),
																		 (0, 'in the Pink Light District'),
																		 (0, 'in a shop'),
																		 (0, 'in a cafe'),
																		 (0, 'on campus'),
																		 (0, 'somewhere shady'),
																		 (0, 'in line for something'),
																		 (0, 'during practice'),
																		 (0, 'in the car'),
																		 (0, 'on a road trip'),
																		 (0, 'at a theme park'),
																		 (1, 'misunderstanding'),
																		 (1, 'starvation'),
																		 (1, 'jealousy'),
																		 (1, 'affection'),
																		 (1, 'protectiveness'),
																		 (1, 'playfulness'),
																		 (1, 'self-defense'),
																		 (1, 'anxiety'),
																		 (1, 'loneliness'),
																		 (1, 'boredom'),
																		 (1, 'friendship'),
																		 (1, 'romance'),
																		 (1, 'rejection'),
																		 (1, 'lust'),
																		 (1, 'obsession'),
																		 (1, 'confusion'),
																		 (1, 'superiority'),
																		 (1, 'inferiority'),
																		 (1, 'casualness'),
																		 (2, 'an external threat stresses someone out'),
																		 (2, 'someone''s restraint gives way'),
																		 (2, 'something foolish is said'),
																		 (2, 'someone is bored'),
																		 (2, 'something is overheard'),
																		 (2, 'an argument builds to a fever pitch'),
																		 (2, 'indecision gets frustrating'),
																		 (2, 'feelings are unexpectedly hurt'),
																		 (2, 'a stomach growls'),
																		 (3, 'the size difference is prohibitive'),
																		 (3, 'there''s a big audience watching'),
																		 (3, 'someone has never tried vore before'),
																		 (3, 'family tradition forbids this'),
																		 (3, 'the characters are not supposed to speak to each other'),
																		 (3, 'the prey is dominant over the pred'),
																		 (3, 'friends are trying to pull the characters apart'),
																		 (3, 'there isn''t a lot of room here'),
																		 (3, 'vore is prohibited here'),
																		 (4, 'someone who would normally have intervened doesn''t'),
																		 (4, 'the prey turns things around on the pred'),
																		 (4, 'an unexpected ally helps out'),
																		 (4, 'the prey''s enjoyment sharply changes'),
																		 (4, 'the antacids mysteriously go missing'),
																		 (4, 'the pred starts to develop indigestion'),
																		 (4, 'a betrayal seals the prey''s fate'),
																		 (4, 'the pred has second thoughts'),
																		 (5, 'the pred''s feelings'),
																		 (5, 'the prey''s feelings'),
																		 (5, 'the pred''s stomach acids'),
																		 (5, 'the pred''s mouth'),
																		 (5, 'the prey''s body'),
																		 (5, 'the pred''s intestines'),
																		 (5, 'the pred''s weight'),
																		 (5, 'detailed digestion'),
																		 (5, 'scientific description of digestion'),
																		 (5, 'the prey''s humiliation'),
																		 (5, 'the observers'' feelings'))
INSERT
INTO authorMapping (tableId, text, trueAuthor)
SELECT tableId, text, 'team'
FROM words;

UPDATE OR IGNORE resultSets
SET discordSnowflake = 'defaults',
		name             = 'Default Responses',
		description      = 'The set of default responses included with the generator''s code.'
WHERE resultSets.discordSnowflake = '126936953789743104';

WITH sourceType AS (SELECT authorshipTypes.id FROM authorshipTypes WHERE authorshipTypes.name = 'source'),
		 authorType (id) AS (SELECT authorshipTypes.id FROM authorshipTypes WHERE authorshipTypes.name = 'author'),
		 initialAuthor (id, discordSnowflake) AS (SELECT authors.id, authors.discordSnowflake
																							FROM authors
																							WHERE authors.discordSnowflake = '126936953789743104'),
		 initialSet (id) AS (SELECT resultSets.id
												 FROM resultSets
												 WHERE resultSets.global
													 AND resultSets.discordSnowflake = 'defaults')
UPDATE resultMappings
SET authorId = authors.id
FROM authorMapping
			 INNER JOIN rollableResults
									ON rollableResults.text = authorMapping.text AND rollableResults.tableId = authorMapping.tableId
			 INNER JOIN authors ON authors.discordSnowflake = authorMapping.trueAuthor
WHERE resultMappings.setId = (SELECT id FROM initialSet)
	AND resultMappings.authorId = (SELECT id FROM initialAuthor)
	AND resultMappings.resultId = rollableResults.id;

DROP TABLE authorMapping;
