import { DEFAULT_IN_PATH, DEFAULT_OUT_PATH, getBundle, writeBundle } from './bundler';

async function main(inPath: string = DEFAULT_IN_PATH, outPath: string = DEFAULT_OUT_PATH) {
	const bundle = await getBundle(inPath)
	await writeBundle(bundle, outPath, true)
}

main(...process.argv.slice(2)).then(() => {
	console.info('generated client helpers');
}).catch((err) => {
	console.error('could not generate client helpers');
	console.error(err && 'stack' in err ? err.stack : err);
	throw err;
}).catch(() => {
	process.exit(1);
});
