export interface Bundled {
	readonly bundled: string,
}

export interface HashedBundled extends Bundled {
	readonly hash: string,
}

export interface SourceMap {
	readonly version: number
	readonly file?: string
	readonly sourceRoot?: string
	readonly sources: readonly string[]
	readonly sourcesContent?: readonly (string|null)[]
	readonly names: readonly string[]
	readonly mappings: string
	readonly x_google_ignoreList?: readonly number[]
}

export interface SourceMappedBundled extends Bundled {
	readonly sourceMap: SourceMap,
}

export interface SourceMappedHashedBundled extends SourceMappedBundled, HashedBundled {}

export interface MaybeSourceMappedHashedBundled extends HashedBundled, Partial<Omit<SourceMappedBundled, keyof HashedBundled>> {}
